/*
 * Copyright 2023-2024 NXP
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

package com.nxp.api.ai;

import com.nxp.api.ai.natives.AINatives;

@SuppressWarnings({ "javadoc", "nls" })
public class AI {

    public static String GetTfTypeName(int index) {
        switch (index) {
            case 0:
                return "kTfLiteMicroNoType";
            case 1:
                return "kTfLiteMicroFloat32";
            case 2:
                return "kTfLiteMicroInt32";
            case 3:
                return "kTfLiteMicroUInt8";
            case 4:
                return "kTfLiteMicroInt64";
            case 5:
                return "kTfLiteMicroString";
            case 6:
                return "kTfLiteMicroBool";
            case 7:
                return "kTfLiteMicroInt16";
            case 8:
                return "kTfLiteMicroComplex64";
            case 9:
                return "kTfLiteMicroInt8";
            case 10:
                return "kTfLiteMicroFloat16";
            case 11:
                return "kTfLiteMicroFloat64";
            case 12:
                return "kTfLiteMicroComplex128";
            case 13:
                return "kTfLiteMicroUInt64";
            case 14:
                return "kTfLiteMicroResource";
            case 15:
                return "kTfLiteMicroVariant";
            case 16:
                return "kTfLiteMicroUInt32";
            case 17:
                return "kTfLiteMicroUInt16";
            default:
                return "No type index detected";
        }
    }

    public static int TfLiteMicroSetUp(byte[] model_path, int len, int arena_size) {
        return AINatives.TfLiteMicroSetUp(model_path, len, arena_size);
    }

    public static int TfLiteMicroSetUpSimu(int inDims[], int inType, int outDims[],
            int outType, byte int8OutputValues[], byte uint8OutputValues[],
            float floatOutputValues[]) {
        return AINatives.TfLiteMicroSetUpSimu(inDims, inType,
                outDims, outType, int8OutputValues, uint8OutputValues,
                floatOutputValues);
    }

    public static int TfLiteMicroTearDown(int handle) {
        return AINatives.TfLiteMicroTearDown(handle);
    }

    public static int GetInputTensorSize(int handle, int idx) {
        return AINatives.GetInputTensorSize(handle, idx);
    }

    public static int GetInputTensorDims(int handle, int idx, int[] sizes) {
        return AINatives.GetInputTensorDims(handle, idx, sizes);
    }

    public static int GetInputTensorType(int handle, int idx) {
        return AINatives.GetInputTensorType(handle, idx);
    }

    public static int GetOutputTensorSize(int handle, int idx) {
        return AINatives.GetOutputTensorSize(handle, idx);
    }

    public static int GetOutputTensorDims(int handle, int idx, int[] sizes) {
        return AINatives.GetOutputTensorDims(handle, idx, sizes);
    }

    public static int GetOutputTensorType(int handle, int idx) {
        return AINatives.GetOutputTensorType(handle, idx);
    }

    public static void SetInputData_Int8(int handle, int idx, byte[] data, int len) {
        AINatives.SetInputData_Int8(handle, idx, data, len);
    }

    public static void SetInputData_UInt8(int handle, int idx, byte[] data, int len) {
        AINatives.SetInputData_UInt8(handle, idx, data, len);
    }

    public static void SetInputData_Float32(int handle, int idx, float[] data, int len) {
        AINatives.SetInputData_Float32(handle, idx, data, len);
    }

    public static int RunInference(int handle) {
        return AINatives.RunInference(handle);
    }

    public static int GetOutputData_Int8(int handle, int idx, byte[] data, int len) {
        return AINatives.GetOutputData_Int8(handle, idx, data, len);
    }

    public static int GetOutputData_UInt8(int handle, int idx, byte[] data, int len) {
        return AINatives.GetOutputData_UInt8(handle, idx, data, len);
    }

    public static int GetOutputData_Float32(int handle, int idx, float[] data, int len) {
        return AINatives.GetOutputData_Float32(handle, idx, data, len);
    }
}
