/*
 * Copyright 2023-2024 NXP
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

package com.nxp.api.ai.natives;

public class AINatives {

    public native static int TfLiteMicroSetUp(byte[] model_path, int len, int arena_size);

    public native static int TfLiteMicroSetUpSimu(int inDims[], int inType, int outDims[],
            int outType, byte int8OutputValues[], byte uint8OutputValues[],
            float floatOutputValues[]);

    public native static int TfLiteMicroTearDown(int handle);

    public native static int GetInputTensorSize(int handle, int idx);

    public native static int GetInputTensorDims(int handle, int idx, int[] sizes);

    public native static int GetInputTensorType(int handle, int idx);

    public native static int GetOutputTensorSize(int handle, int idx);

    public native static int GetOutputTensorDims(int handle, int idx, int[] sizes);

    public native static int GetOutputTensorType(int handle, int idx);

    public native static void SetInputData_Int8(int handle, int idx, byte[] data, int len);

    public native static void SetInputData_UInt8(int handle, int idx, byte[] data, int len);

    public native static void SetInputData_Float32(int handle, int idx, float[] data, int len);

    public native static int RunInference(int handle);

    public native static int GetOutputData_Int8(int handle, int idx, byte[] data, int len);

    public native static int GetOutputData_UInt8(int handle, int idx, byte[] data, int len);

    public native static int GetOutputData_Float32(int handle, int idx, float[] data, int len);
}
