/*
 * Java
 *
 * Copyright 2016-2023 MicroEJ Corp. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be found with this software.
 */
package ej.ecom.wifi;

/**
 * List of Wi-Fi Protected Setup (WPS) modes.
 */
public enum WPSMode {
	/**
	 * No method.
	 */
	NONE,
	/**
	 * Near Field Communication (NFC) method.
	 */
	NFC,
	/**
	 * Personal Identification Number (PIN) method.
	 */
	PIN,
	/**
	 * Push button method.
	 */
	PushButton,
	/**
	 * USB method.
	 */
	USB

}
