/*
 * Java
 *
 * Copyright 2016-2023 MicroEJ Corp. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be found with this software.
 */
package ej.ecom.wifi.natives;

/**
 * Wi-Fi state mapping with native constants.
 */
public interface WifiStateNativeConstants {

	/**
	 * Wi-Fi <code>IDLE</code> state.
	 * <p>
	 * For the station mode, it means the device is not connected to an AP.
	 * <p>
	 * For the soft AP mode, it means no AP is mounted by the device.
	 */
	public static final int IDLE = 0;

	/**
	 * Wi-Fi <code>STARTED</code> state.
	 * <p>
	 * For the station mode, it means the device is connected to an AP.
	 * <p>
	 * For the soft AP mode, it means an AP has been mounted by the device.
	 */
	public static final int STARTED = 1;

}
