/*
 * Java
 *
 * Copyright 2022-2023 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.microui.display;

import ej.bon.Constants;

/**
 * Since UI pack 13.2.0, the MicroUI Graphics Engine integrates a set of methods to obtain certain characteristics of
 * the engine.
 */
public class DisplayUtilities {

	/**
	 * {@link Constants} value that indicates if the MicroUI Graphics Engine testsuite support is enabled. If enabled,
	 * the {@link DisplayUtilities} native methods can be called. Otherwise the c
	 */
	public static final String MICROUI_TESTSUITE_SUPPORT = "com.microej.microui.testsuite.support"; //$NON-NLS-1$

	private static final int FUNCTION_ID_GETNEXTFLUSHBOUNDS = 1;

	/**
	 * @param flushBounds
	 *            deprecated
	 * @return false
	 */
	@Deprecated
	public static boolean getNextFlushBounds(int[] flushBounds) {
		if (Constants.getBoolean(MICROUI_TESTSUITE_SUPPORT)
				&& !DisplayUtilitiesNatives.isDeprecated(FUNCTION_ID_GETNEXTFLUSHBOUNDS)) {
			return DisplayUtilitiesNatives.getNextFlushBounds(Display.getDisplay().getGraphicsContext().getSNIContext(),
					flushBounds);
		}
		throw new RuntimeException();
	}
}
