/*
 * Java
 *
 * Copyright 2021-2022 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.microvg.image;

/**
 * Transforms the elements of an image.
 */
public interface ImageElementTransformer {

	/**
	 * Transforms a color into an other one.
	 *
	 * @param color
	 *            the color to transform.
	 * @return the transformed color.
	 */
	int transformColor(int color);
}
