/*
 * Java
 *
 * Copyright 2022 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.microvg.image;

import ej.microvg.VectorImage;

/**
 * Represents an element of a {@link VectorImage}: a path associated with a color or a gradient.
 */
public abstract class PathElement implements ImageElement {

	/* package */ final byte[] path;
	/* package */ final int fillRule;

	/**
	 * Cannot create the object at runtime: it is always an immutable object. However the constructor is required to
	 * prevent Java compiler errors.
	 */
	/* package */ PathElement(byte[] path, int fillRule) {
		this.path = path;
		this.fillRule = fillRule;
	}
}
